//疑問１：Spriteクラスから生成したオブジェクトの座標値を小数点として持てるのか？

// Spriteオブジェクトのｘ座標として、小数点をもつ変数の値を渡すとどうなるか
// 実際に動きをみてみるプログラム 
// 変数に、0.2ずつ加算するが、実際の表示はどうなるのか。
//
// クマの動きはとてもゆっくりです。

// code.9leap.net default template
// based on enchant.js v0.7.1
enchant();

window.onload = function(){
    var game = new Core(320, 320);
    game.fps = 32;
    game.preload('chara1.png');
    
    // 変数
    var val = 0;
    
    game.onload = function(){
        // ラベルの表示
        var label0 = new Label('変数の値　　val    : ');
        var label1 = new Label('クマのX座標 kuma.x : ');
        label0.y = 20;
        label1.y = 40;
        game.rootScene.addChild(label0);
        game.rootScene.addChild(label1);
        
        // Spriteオブジェクト（クマ）の表示
        var kuma = new Sprite(32,32);
        kuma.image = game.assets['chara1.png'];
        kuma.y = 160;
        kuma.scale(2,2);
        game.rootScene.addChild(kuma);
        
        game.rootScene.addEventListener('enterframe',function(){
            if(game.frame % game.fps === 0)
            {
                // 変数に、0.2ずつ加算する。
                //val += 0.2;
                
                // 計算
                val = (val * 10) + (0.2 * 10); // １０倍して計算する　
                val /= 10;             //  10で割る
                kuma.x = val;
                
                // 変数の値をクマの座標値として代入する。
                label0.text = '変数の値　　val    : ' + val;
                label1.text = 'クマのX座標 kuma.x : ' + kuma.x;
                
            }
        });
        
    };
    game.start();
};